using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.txt;

#nullable enable

internal class Row
{

    public Row(Run run, int i)
    {
        Lot = run.Header.Lot;
        Session = run.Header.Session;
        DcnAllMin = run.Summary.DcnAllMin;
        DcnLpdMin = run.Summary.DcnLpdMin;
        DcnLpdNMin = run.Summary.DcnLpdNMin;
        DcnLpdESMin = run.Summary.DcnLpdESMin;
        DcnMicroScrMin = run.Summary.DcnMicroScrMin;
        DcnScrMin = run.Summary.DcnScrMin;
        DcnSlipMin = run.Summary.DcnSlipMin;
        DcnAreaCountMin = run.Summary.DcnAreaCountMin;
        DcnAreaMin = run.Summary.DcnAreaMin;
        DcnHazeAvgMin = run.Summary.DcnHazeAvgMin;
        DcnHazeMedianMin = run.Summary.DcnHazeMedianMin;
        DcnHazeStdDevMin = run.Summary.DcnHazeStdDevMin;
        DcnBin1Min = run.Summary.DcnBin1Min;
        DcnBin2Min = run.Summary.DcnBin2Min;
        DcnBin3Min = run.Summary.DcnBin3Min;
        DcnBin4Min = run.Summary.DcnBin4Min;
        DcnBin5Min = run.Summary.DcnBin5Min;
        DcnBin6Min = run.Summary.DcnBin6Min;
        DcnBin7Min = run.Summary.DcnBin7Min;
        DcnBin8Min = run.Summary.DcnBin8Min;
        DcnAllMax = run.Summary.DcnAllMax;
        DcnLpdMax = run.Summary.DcnLpdMax;
        DcnLpdNMax = run.Summary.DcnLpdNMax;
        DcnLpdESMax = run.Summary.DcnLpdESMax;
        DcnMicroScrMax = run.Summary.DcnMicroScrMax;
        DcnScrMax = run.Summary.DcnScrMax;
        DcnSlipMax = run.Summary.DcnSlipMax;
        DcnAreaCountMax = run.Summary.DcnAreaCountMax;
        DcnAreaMax = run.Summary.DcnAreaMax;
        DcnHazeAvgMax = run.Summary.DcnHazeAvgMax;
        DcnHazeMedianMax = run.Summary.DcnHazeMedianMax;
        DcnHazeStdDevMax = run.Summary.DcnHazeStdDevMax;
        DcnBin1Max = run.Summary.DcnBin1Max;
        DcnBin2Max = run.Summary.DcnBin2Max;
        DcnBin3Max = run.Summary.DcnBin3Max;
        DcnBin4Max = run.Summary.DcnBin4Max;
        DcnBin5Max = run.Summary.DcnBin5Max;
        DcnBin6Max = run.Summary.DcnBin6Max;
        DcnBin7Max = run.Summary.DcnBin7Max;
        DcnBin8Max = run.Summary.DcnBin8Max;
        DcnAllMean = run.Summary.DcnAllMean;
        DcnLpdMean = run.Summary.DcnLpdMean;
        DcnLpdNMean = run.Summary.DcnLpdNMean;
        DcnLpdESMean = run.Summary.DcnLpdESMean;
        DcnMicroScrMean = run.Summary.DcnMicroScrMean;
        DcnScrMean = run.Summary.DcnScrMean;
        DcnSlipMean = run.Summary.DcnSlipMean;
        DcnAreaCountMean = run.Summary.DcnAreaCountMean;
        DcnAreaMean = run.Summary.DcnAreaMean;
        DcnHazeAvgMean = run.Summary.DcnHazeAvgMean;
        DcnHazeMedianMean = run.Summary.DcnHazeMedianMean;
        DcnHazeStdDevMean = run.Summary.DcnHazeStdDevMean;
        DcnBin1Mean = run.Summary.DcnBin1Mean;
        DcnBin2Mean = run.Summary.DcnBin2Mean;
        DcnBin3Mean = run.Summary.DcnBin3Mean;
        DcnBin4Mean = run.Summary.DcnBin4Mean;
        DcnBin5Mean = run.Summary.DcnBin5Mean;
        DcnBin6Mean = run.Summary.DcnBin6Mean;
        DcnBin7Mean = run.Summary.DcnBin7Mean;
        DcnBin8Mean = run.Summary.DcnBin8Mean;
        DcnAllStdDev = run.Summary.DcnAllStdDev;
        DcnLpdStdDev = run.Summary.DcnLpdStdDev;
        DcnLpdNStdDev = run.Summary.DcnLpdNStdDev;
        DcnLpdESStdDev = run.Summary.DcnLpdESStdDev;
        DcnMicroScrStdDev = run.Summary.DcnMicroScrStdDev;
        DcnScrStdDev = run.Summary.DcnScrStdDev;
        DcnSlipStdDev = run.Summary.DcnSlipStdDev;
        DcnAreaCountStdDev = run.Summary.DcnAreaCountStdDev;
        DcnAreaStdDev = run.Summary.DcnAreaStdDev;
        DcnHazeAvgStdDev = run.Summary.DcnHazeAvgStdDev;
        DcnHazeMedianStdDev = run.Summary.DcnHazeMedianStdDev;
        DcnHazeStdDevStdDev = run.Summary.DcnHazeStdDevStdDev;
        DcnBin1StdDev = run.Summary.DcnBin1StdDev;
        DcnBin2StdDev = run.Summary.DcnBin2StdDev;
        DcnBin3StdDev = run.Summary.DcnBin3StdDev;
        DcnBin4StdDev = run.Summary.DcnBin4StdDev;
        DcnBin5StdDev = run.Summary.DcnBin5StdDev;
        DcnBin6StdDev = run.Summary.DcnBin6StdDev;
        DcnBin7StdDev = run.Summary.DcnBin7StdDev;
        DcnBin8StdDev = run.Summary.DcnBin8StdDev;
        DwnAllMin = run.Summary.DwnAllMin;
        DwnLpdMin = run.Summary.DwnLpdMin;
        DwnLpdNMin = run.Summary.DwnLpdNMin;
        DwnLpdESMin = run.Summary.DwnLpdESMin;
        DwnMicroScrMin = run.Summary.DwnMicroScrMin;
        DwnScrMin = run.Summary.DwnScrMin;
        DwnSlipMin = run.Summary.DwnSlipMin;
        DwnAreaCountMin = run.Summary.DwnAreaCountMin;
        DwnAreaMin = run.Summary.DwnAreaMin;
        DwnHazeAvgMin = run.Summary.DwnHazeAvgMin;
        DwnHazeMedianMin = run.Summary.DwnHazeMedianMin;
        DwnHazeStdDevMin = run.Summary.DwnHazeStdDevMin;
        DwnBin1Min = run.Summary.DwnBin1Min;
        DwnBin2Min = run.Summary.DwnBin2Min;
        DwnBin3Min = run.Summary.DwnBin3Min;
        DwnBin4Min = run.Summary.DwnBin4Min;
        DwnBin5Min = run.Summary.DwnBin5Min;
        DwnBin6Min = run.Summary.DwnBin6Min;
        DwnBin7Min = run.Summary.DwnBin7Min;
        DwnBin8Min = run.Summary.DwnBin8Min;
        DwnAllMax = run.Summary.DwnAllMax;
        DwnLpdMax = run.Summary.DwnLpdMax;
        DwnLpdNMax = run.Summary.DwnLpdNMax;
        DwnLpdESMax = run.Summary.DwnLpdESMax;
        DwnMicroScrMax = run.Summary.DwnMicroScrMax;
        DwnScrMax = run.Summary.DwnScrMax;
        DwnSlipMax = run.Summary.DwnSlipMax;
        DwnAreaCountMax = run.Summary.DwnAreaCountMax;
        DwnAreaMax = run.Summary.DwnAreaMax;
        DwnHazeAvgMax = run.Summary.DwnHazeAvgMax;
        DwnHazeMedianMax = run.Summary.DwnHazeMedianMax;
        DwnHazeStdDevMax = run.Summary.DwnHazeStdDevMax;
        DwnBin1Max = run.Summary.DwnBin1Max;
        DwnBin2Max = run.Summary.DwnBin2Max;
        DwnBin3Max = run.Summary.DwnBin3Max;
        DwnBin4Max = run.Summary.DwnBin4Max;
        DwnBin5Max = run.Summary.DwnBin5Max;
        DwnBin6Max = run.Summary.DwnBin6Max;
        DwnBin7Max = run.Summary.DwnBin7Max;
        DwnBin8Max = run.Summary.DwnBin8Max;
        DwnAllMean = run.Summary.DwnAllMean;
        DwnLpdMean = run.Summary.DwnLpdMean;
        DwnLpdNMean = run.Summary.DwnLpdNMean;
        DwnLpdESMean = run.Summary.DwnLpdESMean;
        DwnMicroScrMean = run.Summary.DwnMicroScrMean;
        DwnScrMean = run.Summary.DwnScrMean;
        DwnSlipMean = run.Summary.DwnSlipMean;
        DwnAreaCountMean = run.Summary.DwnAreaCountMean;
        DwnAreaMean = run.Summary.DwnAreaMean;
        DwnHazeAvgMean = run.Summary.DwnHazeAvgMean;
        DwnHazeMedianMean = run.Summary.DwnHazeMedianMean;
        DwnHazeStdDevMean = run.Summary.DwnHazeStdDevMean;
        DwnBin1Mean = run.Summary.DwnBin1Mean;
        DwnBin2Mean = run.Summary.DwnBin2Mean;
        DwnBin3Mean = run.Summary.DwnBin3Mean;
        DwnBin4Mean = run.Summary.DwnBin4Mean;
        DwnBin5Mean = run.Summary.DwnBin5Mean;
        DwnBin6Mean = run.Summary.DwnBin6Mean;
        DwnBin7Mean = run.Summary.DwnBin7Mean;
        DwnBin8Mean = run.Summary.DwnBin8Mean;
        DwnAllStdDev = run.Summary.DwnAllStdDev;
        DwnLpdStdDev = run.Summary.DwnLpdStdDev;
        DwnLpdNStdDev = run.Summary.DwnLpdNStdDev;
        DwnLpdESStdDev = run.Summary.DwnLpdESStdDev;
        DwnMicroScrStdDev = run.Summary.DwnMicroScrStdDev;
        DwnScrStdDev = run.Summary.DwnScrStdDev;
        DwnSlipStdDev = run.Summary.DwnSlipStdDev;
        DwnAreaCountStdDev = run.Summary.DwnAreaCountStdDev;
        DwnAreaStdDev = run.Summary.DwnAreaStdDev;
        DwnHazeAvgStdDev = run.Summary.DwnHazeAvgStdDev;
        DwnHazeMedianStdDev = run.Summary.DwnHazeMedianStdDev;
        DwnHazeStdDevStdDev = run.Summary.DwnHazeStdDevStdDev;
        DwnBin1StdDev = run.Summary.DwnBin1StdDev;
        DwnBin2StdDev = run.Summary.DwnBin2StdDev;
        DwnBin3StdDev = run.Summary.DwnBin3StdDev;
        DwnBin4StdDev = run.Summary.DwnBin4StdDev;
        DwnBin5StdDev = run.Summary.DwnBin5StdDev;
        DwnBin6StdDev = run.Summary.DwnBin6StdDev;
        DwnBin7StdDev = run.Summary.DwnBin7StdDev;
        DwnBin8StdDev = run.Summary.DwnBin8StdDev;
        DnnAllMin = run.Summary.DnnAllMin;
        DnnLpdMin = run.Summary.DnnLpdMin;
        DnnLpdNMin = run.Summary.DnnLpdNMin;
        DnnLpdESMin = run.Summary.DnnLpdESMin;
        DnnMicroScrMin = run.Summary.DnnMicroScrMin;
        DnnScrMin = run.Summary.DnnScrMin;
        DnnSlipMin = run.Summary.DnnSlipMin;
        DnnAreaCountMin = run.Summary.DnnAreaCountMin;
        DnnAreaMin = run.Summary.DnnAreaMin;
        DnnHazeAvgMin = run.Summary.DnnHazeAvgMin;
        DnnHazeMedianMin = run.Summary.DnnHazeMedianMin;
        DnnHazeStdDevMin = run.Summary.DnnHazeStdDevMin;
        DnnBin1Min = run.Summary.DnnBin1Min;
        DnnBin2Min = run.Summary.DnnBin2Min;
        DnnBin3Min = run.Summary.DnnBin3Min;
        DnnBin4Min = run.Summary.DnnBin4Min;
        DnnBin5Min = run.Summary.DnnBin5Min;
        DnnBin6Min = run.Summary.DnnBin6Min;
        DnnBin7Min = run.Summary.DnnBin7Min;
        DnnBin8Min = run.Summary.DnnBin8Min;
        DnnAllMax = run.Summary.DnnAllMax;
        DnnLpdMax = run.Summary.DnnLpdMax;
        DnnLpdNMax = run.Summary.DnnLpdNMax;
        DnnLpdESMax = run.Summary.DnnLpdESMax;
        DnnMicroScrMax = run.Summary.DnnMicroScrMax;
        DnnScrMax = run.Summary.DnnScrMax;
        DnnSlipMax = run.Summary.DnnSlipMax;
        DnnAreaCountMax = run.Summary.DnnAreaCountMax;
        DnnAreaMax = run.Summary.DnnAreaMax;
        DnnHazeAvgMax = run.Summary.DnnHazeAvgMax;
        DnnHazeMedianMax = run.Summary.DnnHazeMedianMax;
        DnnHazeStdDevMax = run.Summary.DnnHazeStdDevMax;
        DnnBin1Max = run.Summary.DnnBin1Max;
        DnnBin2Max = run.Summary.DnnBin2Max;
        DnnBin3Max = run.Summary.DnnBin3Max;
        DnnBin4Max = run.Summary.DnnBin4Max;
        DnnBin5Max = run.Summary.DnnBin5Max;
        DnnBin6Max = run.Summary.DnnBin6Max;
        DnnBin7Max = run.Summary.DnnBin7Max;
        DnnBin8Max = run.Summary.DnnBin8Max;
        DnnAllMean = run.Summary.DnnAllMean;
        DnnLpdMean = run.Summary.DnnLpdMean;
        DnnLpdNMean = run.Summary.DnnLpdNMean;
        DnnLpdESMean = run.Summary.DnnLpdESMean;
        DnnMicroScrMean = run.Summary.DnnMicroScrMean;
        DnnScrMean = run.Summary.DnnScrMean;
        DnnSlipMean = run.Summary.DnnSlipMean;
        DnnAreaCountMean = run.Summary.DnnAreaCountMean;
        DnnAreaMean = run.Summary.DnnAreaMean;
        DnnHazeAvgMean = run.Summary.DnnHazeAvgMean;
        DnnHazeMedianMean = run.Summary.DnnHazeMedianMean;
        DnnHazeStdDevMean = run.Summary.DnnHazeStdDevMean;
        DnnBin1Mean = run.Summary.DnnBin1Mean;
        DnnBin2Mean = run.Summary.DnnBin2Mean;
        DnnBin3Mean = run.Summary.DnnBin3Mean;
        DnnBin4Mean = run.Summary.DnnBin4Mean;
        DnnBin5Mean = run.Summary.DnnBin5Mean;
        DnnBin6Mean = run.Summary.DnnBin6Mean;
        DnnBin7Mean = run.Summary.DnnBin7Mean;
        DnnBin8Mean = run.Summary.DnnBin8Mean;
        DnnAllStdDev = run.Summary.DnnAllStdDev;
        DnnLpdStdDev = run.Summary.DnnLpdStdDev;
        DnnLpdNStdDev = run.Summary.DnnLpdNStdDev;
        DnnLpdESStdDev = run.Summary.DnnLpdESStdDev;
        DnnMicroScrStdDev = run.Summary.DnnMicroScrStdDev;
        DnnScrStdDev = run.Summary.DnnScrStdDev;
        DnnSlipStdDev = run.Summary.DnnSlipStdDev;
        DnnAreaCountStdDev = run.Summary.DnnAreaCountStdDev;
        DnnAreaStdDev = run.Summary.DnnAreaStdDev;
        DnnHazeAvgStdDev = run.Summary.DnnHazeAvgStdDev;
        DnnHazeMedianStdDev = run.Summary.DnnHazeMedianStdDev;
        DnnHazeStdDevStdDev = run.Summary.DnnHazeStdDevStdDev;
        DnnBin1StdDev = run.Summary.DnnBin1StdDev;
        DnnBin2StdDev = run.Summary.DnnBin2StdDev;
        DnnBin3StdDev = run.Summary.DnnBin3StdDev;
        DnnBin4StdDev = run.Summary.DnnBin4StdDev;
        DnnBin5StdDev = run.Summary.DnnBin5StdDev;
        DnnBin6StdDev = run.Summary.DnnBin6StdDev;
        DnnBin7StdDev = run.Summary.DnnBin7StdDev;
        DnnBin8StdDev = run.Summary.DnnBin8StdDev;
        //
        Side = run.Wafers[i].Side;
        WaferID = run.Wafers[i].WaferID;
        Grade = run.Wafers[i].Grade;
        SrcDest = run.Wafers[i].SrcDest;
        DcnAll = run.Wafers[i].DcnAll;
        DcnLpd = run.Wafers[i].DcnLpd;
        DcnLpdN = run.Wafers[i].DcnLpdN;
        DcnLpdES = run.Wafers[i].DcnLpdES;
        DcnMicroScr = run.Wafers[i].DcnMicroScr;
        DcnScr = run.Wafers[i].DcnScr;
        DcnSlip = run.Wafers[i].DcnSlip;
        DcnAreaCount = run.Wafers[i].DcnAreaCount;
        DcnArea = run.Wafers[i].DcnArea;
        DcnHazeAvg = run.Wafers[i].DcnHazeAvg;
        DcnHazeMedian = run.Wafers[i].DcnHazeMedian;
        DcnHazeStdDev = run.Wafers[i].DcnHazeStdDev;
        DcnBin1 = run.Wafers[i].DcnBin1;
        DcnBin2 = run.Wafers[i].DcnBin2;
        DcnBin3 = run.Wafers[i].DcnBin3;
        DcnBin4 = run.Wafers[i].DcnBin4;
        DcnBin5 = run.Wafers[i].DcnBin5;
        DcnBin6 = run.Wafers[i].DcnBin6;
        DcnBin7 = run.Wafers[i].DcnBin7;
        DcnBin8 = run.Wafers[i].DcnBin8;
        DwnAll = run.Wafers[i].DwnAll;
        DwnLpd = run.Wafers[i].DwnLpd;
        DwnLpdN = run.Wafers[i].DwnLpdN;
        DwnLpdES = run.Wafers[i].DwnLpdES;
        DwnMicroScr = run.Wafers[i].DwnMicroScr;
        DwnScr = run.Wafers[i].DwnScr;
        DwnSlip = run.Wafers[i].DwnSlip;
        DwnAreaCount = run.Wafers[i].DwnAreaCount;
        DwnArea = run.Wafers[i].DwnArea;
        DwnHazeAvg = run.Wafers[i].DwnHazeAvg;
        DwnHazeMedian = run.Wafers[i].DwnHazeMedian;
        DwnHazeStdDev = run.Wafers[i].DwnHazeStdDev;
        DwnBin1 = run.Wafers[i].DwnBin1;
        DwnBin2 = run.Wafers[i].DwnBin2;
        DwnBin3 = run.Wafers[i].DwnBin3;
        DwnBin4 = run.Wafers[i].DwnBin4;
        DwnBin5 = run.Wafers[i].DwnBin5;
        DwnBin6 = run.Wafers[i].DwnBin6;
        DwnBin7 = run.Wafers[i].DwnBin7;
        DwnBin8 = run.Wafers[i].DwnBin8;
        DnnAll = run.Wafers[i].DnnAll;
        DnnLpd = run.Wafers[i].DnnLpd;
        DnnLpdN = run.Wafers[i].DnnLpdN;
        DnnLpdES = run.Wafers[i].DnnLpdES;
        DnnMicroScr = run.Wafers[i].DnnMicroScr;
        DnnScr = run.Wafers[i].DnnScr;
        DnnSlip = run.Wafers[i].DnnSlip;
        DnnAreaCount = run.Wafers[i].DnnAreaCount;
        DnnArea = run.Wafers[i].DnnArea;
        DnnHazeAvg = run.Wafers[i].DnnHazeAvg;
        DnnHazeMedian = run.Wafers[i].DnnHazeMedian;
        DnnHazeStdDev = run.Wafers[i].DnnHazeStdDev;
        DnnBin1 = run.Wafers[i].DnnBin1;
        DnnBin2 = run.Wafers[i].DnnBin2;
        DnnBin3 = run.Wafers[i].DnnBin3;
        DnnBin4 = run.Wafers[i].DnnBin4;
        DnnBin5 = run.Wafers[i].DnnBin5;
        DnnBin6 = run.Wafers[i].DnnBin6;
        DnnBin7 = run.Wafers[i].DnnBin7;
        DnnBin8 = run.Wafers[i].DnnBin8;
    }

    public string Lot { get; }
    public string Session { get; }
    public string DcnAllMin { get; }
    public string DcnLpdMin { get; }
    public string DcnLpdNMin { get; }
    public string DcnLpdESMin { get; }
    public string DcnMicroScrMin { get; }
    public string DcnScrMin { get; }
    public string DcnSlipMin { get; }
    public string DcnAreaCountMin { get; }
    public string DcnAreaMin { get; }
    public string DcnHazeAvgMin { get; }
    public string DcnHazeMedianMin { get; }
    public string DcnHazeStdDevMin { get; }
    public string DcnBin1Min { get; }
    public string DcnBin2Min { get; }
    public string DcnBin3Min { get; }
    public string DcnBin4Min { get; }
    public string DcnBin5Min { get; }
    public string DcnBin6Min { get; }
    public string DcnBin7Min { get; }
    public string DcnBin8Min { get; }
    public string DcnAllMax { get; }
    public string DcnLpdMax { get; }
    public string DcnLpdNMax { get; }
    public string DcnLpdESMax { get; }
    public string DcnMicroScrMax { get; }
    public string DcnScrMax { get; }
    public string DcnSlipMax { get; }
    public string DcnAreaCountMax { get; }
    public string DcnAreaMax { get; }
    public string DcnHazeAvgMax { get; }
    public string DcnHazeMedianMax { get; }
    public string DcnHazeStdDevMax { get; }
    public string DcnBin1Max { get; }
    public string DcnBin2Max { get; }
    public string DcnBin3Max { get; }
    public string DcnBin4Max { get; }
    public string DcnBin5Max { get; }
    public string DcnBin6Max { get; }
    public string DcnBin7Max { get; }
    public string DcnBin8Max { get; }
    public string DcnAllMean { get; }
    public string DcnLpdMean { get; }
    public string DcnLpdNMean { get; }
    public string DcnLpdESMean { get; }
    public string DcnMicroScrMean { get; }
    public string DcnScrMean { get; }
    public string DcnSlipMean { get; }
    public string DcnAreaCountMean { get; }
    public string DcnAreaMean { get; }
    public string DcnHazeAvgMean { get; }
    public string DcnHazeMedianMean { get; }
    public string DcnHazeStdDevMean { get; }
    public string DcnBin1Mean { get; }
    public string DcnBin2Mean { get; }
    public string DcnBin3Mean { get; }
    public string DcnBin4Mean { get; }
    public string DcnBin5Mean { get; }
    public string DcnBin6Mean { get; }
    public string DcnBin7Mean { get; }
    public string DcnBin8Mean { get; }
    public string DcnAllStdDev { get; }
    public string DcnLpdStdDev { get; }
    public string DcnLpdNStdDev { get; }
    public string DcnLpdESStdDev { get; }
    public string DcnMicroScrStdDev { get; }
    public string DcnScrStdDev { get; }
    public string DcnSlipStdDev { get; }
    public string DcnAreaCountStdDev { get; }
    public string DcnAreaStdDev { get; }
    public string DcnHazeAvgStdDev { get; }
    public string DcnHazeMedianStdDev { get; }
    public string DcnHazeStdDevStdDev { get; }
    public string DcnBin1StdDev { get; }
    public string DcnBin2StdDev { get; }
    public string DcnBin3StdDev { get; }
    public string DcnBin4StdDev { get; }
    public string DcnBin5StdDev { get; }
    public string DcnBin6StdDev { get; }
    public string DcnBin7StdDev { get; }
    public string DcnBin8StdDev { get; }
    public string DwnAllMin { get; }
    public string DwnLpdMin { get; }
    public string DwnLpdNMin { get; }
    public string DwnLpdESMin { get; }
    public string DwnMicroScrMin { get; }
    public string DwnScrMin { get; }
    public string DwnSlipMin { get; }
    public string DwnAreaCountMin { get; }
    public string DwnAreaMin { get; }
    public string DwnHazeAvgMin { get; }
    public string DwnHazeMedianMin { get; }
    public string DwnHazeStdDevMin { get; }
    public string DwnBin1Min { get; }
    public string DwnBin2Min { get; }
    public string DwnBin3Min { get; }
    public string DwnBin4Min { get; }
    public string DwnBin5Min { get; }
    public string DwnBin6Min { get; }
    public string DwnBin7Min { get; }
    public string DwnBin8Min { get; }
    public string DwnAllMax { get; }
    public string DwnLpdMax { get; }
    public string DwnLpdNMax { get; }
    public string DwnLpdESMax { get; }
    public string DwnMicroScrMax { get; }
    public string DwnScrMax { get; }
    public string DwnSlipMax { get; }
    public string DwnAreaCountMax { get; }
    public string DwnAreaMax { get; }
    public string DwnHazeAvgMax { get; }
    public string DwnHazeMedianMax { get; }
    public string DwnHazeStdDevMax { get; }
    public string DwnBin1Max { get; }
    public string DwnBin2Max { get; }
    public string DwnBin3Max { get; }
    public string DwnBin4Max { get; }
    public string DwnBin5Max { get; }
    public string DwnBin6Max { get; }
    public string DwnBin7Max { get; }
    public string DwnBin8Max { get; }
    public string DwnAllMean { get; }
    public string DwnLpdMean { get; }
    public string DwnLpdNMean { get; }
    public string DwnLpdESMean { get; }
    public string DwnMicroScrMean { get; }
    public string DwnScrMean { get; }
    public string DwnSlipMean { get; }
    public string DwnAreaCountMean { get; }
    public string DwnAreaMean { get; }
    public string DwnHazeAvgMean { get; }
    public string DwnHazeMedianMean { get; }
    public string DwnHazeStdDevMean { get; }
    public string DwnBin1Mean { get; }
    public string DwnBin2Mean { get; }
    public string DwnBin3Mean { get; }
    public string DwnBin4Mean { get; }
    public string DwnBin5Mean { get; }
    public string DwnBin6Mean { get; }
    public string DwnBin7Mean { get; }
    public string DwnBin8Mean { get; }
    public string DwnAllStdDev { get; }
    public string DwnLpdStdDev { get; }
    public string DwnLpdNStdDev { get; }
    public string DwnLpdESStdDev { get; }
    public string DwnMicroScrStdDev { get; }
    public string DwnScrStdDev { get; }
    public string DwnSlipStdDev { get; }
    public string DwnAreaCountStdDev { get; }
    public string DwnAreaStdDev { get; }
    public string DwnHazeAvgStdDev { get; }
    public string DwnHazeMedianStdDev { get; }
    public string DwnHazeStdDevStdDev { get; }
    public string DwnBin1StdDev { get; }
    public string DwnBin2StdDev { get; }
    public string DwnBin3StdDev { get; }
    public string DwnBin4StdDev { get; }
    public string DwnBin5StdDev { get; }
    public string DwnBin6StdDev { get; }
    public string DwnBin7StdDev { get; }
    public string DwnBin8StdDev { get; }
    public string DnnAllMin { get; }
    public string DnnLpdMin { get; }
    public string DnnLpdNMin { get; }
    public string DnnLpdESMin { get; }
    public string DnnMicroScrMin { get; }
    public string DnnScrMin { get; }
    public string DnnSlipMin { get; }
    public string DnnAreaCountMin { get; }
    public string DnnAreaMin { get; }
    public string DnnHazeAvgMin { get; }
    public string DnnHazeMedianMin { get; }
    public string DnnHazeStdDevMin { get; }
    public string DnnBin1Min { get; }
    public string DnnBin2Min { get; }
    public string DnnBin3Min { get; }
    public string DnnBin4Min { get; }
    public string DnnBin5Min { get; }
    public string DnnBin6Min { get; }
    public string DnnBin7Min { get; }
    public string DnnBin8Min { get; }
    public string DnnAllMax { get; }
    public string DnnLpdMax { get; }
    public string DnnLpdNMax { get; }
    public string DnnLpdESMax { get; }
    public string DnnMicroScrMax { get; }
    public string DnnScrMax { get; }
    public string DnnSlipMax { get; }
    public string DnnAreaCountMax { get; }
    public string DnnAreaMax { get; }
    public string DnnHazeAvgMax { get; }
    public string DnnHazeMedianMax { get; }
    public string DnnHazeStdDevMax { get; }
    public string DnnBin1Max { get; }
    public string DnnBin2Max { get; }
    public string DnnBin3Max { get; }
    public string DnnBin4Max { get; }
    public string DnnBin5Max { get; }
    public string DnnBin6Max { get; }
    public string DnnBin7Max { get; }
    public string DnnBin8Max { get; }
    public string DnnAllMean { get; }
    public string DnnLpdMean { get; }
    public string DnnLpdNMean { get; }
    public string DnnLpdESMean { get; }
    public string DnnMicroScrMean { get; }
    public string DnnScrMean { get; }
    public string DnnSlipMean { get; }
    public string DnnAreaCountMean { get; }
    public string DnnAreaMean { get; }
    public string DnnHazeAvgMean { get; }
    public string DnnHazeMedianMean { get; }
    public string DnnHazeStdDevMean { get; }
    public string DnnBin1Mean { get; }
    public string DnnBin2Mean { get; }
    public string DnnBin3Mean { get; }
    public string DnnBin4Mean { get; }
    public string DnnBin5Mean { get; }
    public string DnnBin6Mean { get; }
    public string DnnBin7Mean { get; }
    public string DnnBin8Mean { get; }
    public string DnnAllStdDev { get; }
    public string DnnLpdStdDev { get; }
    public string DnnLpdNStdDev { get; }
    public string DnnLpdESStdDev { get; }
    public string DnnMicroScrStdDev { get; }
    public string DnnScrStdDev { get; }
    public string DnnSlipStdDev { get; }
    public string DnnAreaCountStdDev { get; }
    public string DnnAreaStdDev { get; }
    public string DnnHazeAvgStdDev { get; }
    public string DnnHazeMedianStdDev { get; }
    public string DnnHazeStdDevStdDev { get; }
    public string DnnBin1StdDev { get; }
    public string DnnBin2StdDev { get; }
    public string DnnBin3StdDev { get; }
    public string DnnBin4StdDev { get; }
    public string DnnBin5StdDev { get; }
    public string DnnBin6StdDev { get; }
    public string DnnBin7StdDev { get; }
    public string DnnBin8StdDev { get; }
    //
    public string Side { get; }
    public string WaferID { get; }
    public string Grade { get; }
    public string SrcDest { get; }
    public string DcnAll { get; }
    public string DcnLpd { get; }
    public string DcnLpdN { get; }
    public string DcnLpdES { get; }
    public string DcnMicroScr { get; }
    public string DcnScr { get; }
    public string DcnSlip { get; }
    public string DcnAreaCount { get; }
    public string DcnArea { get; }
    public string DcnHazeAvg { get; }
    public string DcnHazeMedian { get; }
    public string DcnHazeStdDev { get; }
    public string DcnBin1 { get; }
    public string DcnBin2 { get; }
    public string DcnBin3 { get; }
    public string DcnBin4 { get; }
    public string DcnBin5 { get; }
    public string DcnBin6 { get; }
    public string DcnBin7 { get; }
    public string DcnBin8 { get; }
    public string DwnAll { get; }
    public string DwnLpd { get; }
    public string DwnLpdN { get; }
    public string DwnLpdES { get; }
    public string DwnMicroScr { get; }
    public string DwnScr { get; }
    public string DwnSlip { get; }
    public string DwnAreaCount { get; }
    public string DwnArea { get; }
    public string DwnHazeAvg { get; }
    public string DwnHazeMedian { get; }
    public string DwnHazeStdDev { get; }
    public string DwnBin1 { get; }
    public string DwnBin2 { get; }
    public string DwnBin3 { get; }
    public string DwnBin4 { get; }
    public string DwnBin5 { get; }
    public string DwnBin6 { get; }
    public string DwnBin7 { get; }
    public string DwnBin8 { get; }
    public string DnnAll { get; }
    public string DnnLpd { get; }
    public string DnnLpdN { get; }
    public string DnnLpdES { get; }
    public string DnnMicroScr { get; }
    public string DnnScr { get; }
    public string DnnSlip { get; }
    public string DnnAreaCount { get; }
    public string DnnArea { get; }
    public string DnnHazeAvg { get; }
    public string DnnHazeMedian { get; }
    public string DnnHazeStdDev { get; }
    public string DnnBin1 { get; }
    public string DnnBin2 { get; }
    public string DnnBin3 { get; }
    public string DnnBin4 { get; }
    public string DnnBin5 { get; }
    public string DnnBin6 { get; }
    public string DnnBin7 { get; }
    public string DnnBin8 { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Row))]
internal partial class RowSourceGenerationContext : JsonSerializerContext
{
}