namespace Adaptation.FileHandlers.TIBCO.Transport;

public class Common
{

    public string Layer { get; }
    public string PSN { get; }
    public int? RDSNumber { get; }
    public int? ReactorNumber { get; }
    public string Zone { get; }

    public Common(string layer, string psn, int? rdsNumber, int? reactor, string zone)
    {
        Layer = layer;
        PSN = psn;
        RDSNumber = rdsNumber;
        ReactorNumber = reactor;
        Zone = zone;
    }

}