using System;
using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.txt;

#nullable enable

public class Summary
{

    public Summary(string dcnAllMin,
                   string dcnLpdMin,
                   string dcnLpdNMin,
                   string dcnLpdESMin,
                   string dcnMicroScrMin,
                   string dcnScrMin,
                   string dcnSlipMin,
                   string dcnAreaCountMin,
                   string dcnAreaMin,
                   string dcnHazeAvgMin,
                   string dcnHazeMedianMin,
                   string dcnHazeStdDevMin,
                   string dcnBin1Min,
                   string dcnBin2Min,
                   string dcnBin3Min,
                   string dcnBin4Min,
                   string dcnBin5Min,
                   string dcnBin6Min,
                   string dcnBin7Min,
                   string dcnBin8Min,
                   string dcnAllMax,
                   string dcnLpdMax,
                   string dcnLpdNMax,
                   string dcnLpdESMax,
                   string dcnMicroScrMax,
                   string dcnScrMax,
                   string dcnSlipMax,
                   string dcnAreaCountMax,
                   string dcnAreaMax,
                   string dcnHazeAvgMax,
                   string dcnHazeMedianMax,
                   string dcnHazeStdDevMax,
                   string dcnBin1Max,
                   string dcnBin2Max,
                   string dcnBin3Max,
                   string dcnBin4Max,
                   string dcnBin5Max,
                   string dcnBin6Max,
                   string dcnBin7Max,
                   string dcnBin8Max,
                   string dcnAllMean,
                   string dcnLpdMean,
                   string dcnLpdNMean,
                   string dcnLpdESMean,
                   string dcnMicroScrMean,
                   string dcnScrMean,
                   string dcnSlipMean,
                   string dcnAreaCountMean,
                   string dcnAreaMean,
                   string dcnHazeAvgMean,
                   string dcnHazeMedianMean,
                   string dcnHazeStdDevMean,
                   string dcnBin1Mean,
                   string dcnBin2Mean,
                   string dcnBin3Mean,
                   string dcnBin4Mean,
                   string dcnBin5Mean,
                   string dcnBin6Mean,
                   string dcnBin7Mean,
                   string dcnBin8Mean,
                   string dcnAllStdDev,
                   string dcnLpdStdDev,
                   string dcnLpdNStdDev,
                   string dcnLpdESStdDev,
                   string dcnMicroScrStdDev,
                   string dcnScrStdDev,
                   string dcnSlipStdDev,
                   string dcnAreaCountStdDev,
                   string dcnAreaStdDev,
                   string dcnHazeAvgStdDev,
                   string dcnHazeMedianStdDev,
                   string dcnHazeStdDevStdDev,
                   string dcnBin1StdDev,
                   string dcnBin2StdDev,
                   string dcnBin3StdDev,
                   string dcnBin4StdDev,
                   string dcnBin5StdDev,
                   string dcnBin6StdDev,
                   string dcnBin7StdDev,
                   string dcnBin8StdDev,
                   string dwnAllMin,
                   string dwnLpdMin,
                   string dwnLpdNMin,
                   string dwnLpdESMin,
                   string dwnMicroScrMin,
                   string dwnScrMin,
                   string dwnSlipMin,
                   string dwnAreaCountMin,
                   string dwnAreaMin,
                   string dwnHazeAvgMin,
                   string dwnHazeMedianMin,
                   string dwnHazeStdDevMin,
                   string dwnBin1Min,
                   string dwnBin2Min,
                   string dwnBin3Min,
                   string dwnBin4Min,
                   string dwnBin5Min,
                   string dwnBin6Min,
                   string dwnBin7Min,
                   string dwnBin8Min,
                   string dwnAllMax,
                   string dwnLpdMax,
                   string dwnLpdNMax,
                   string dwnLpdESMax,
                   string dwnMicroScrMax,
                   string dwnScrMax,
                   string dwnSlipMax,
                   string dwnAreaCountMax,
                   string dwnAreaMax,
                   string dwnHazeAvgMax,
                   string dwnHazeMedianMax,
                   string dwnHazeStdDevMax,
                   string dwnBin1Max,
                   string dwnBin2Max,
                   string dwnBin3Max,
                   string dwnBin4Max,
                   string dwnBin5Max,
                   string dwnBin6Max,
                   string dwnBin7Max,
                   string dwnBin8Max,
                   string dwnAllMean,
                   string dwnLpdMean,
                   string dwnLpdNMean,
                   string dwnLpdESMean,
                   string dwnMicroScrMean,
                   string dwnScrMean,
                   string dwnSlipMean,
                   string dwnAreaCountMean,
                   string dwnAreaMean,
                   string dwnHazeAvgMean,
                   string dwnHazeMedianMean,
                   string dwnHazeStdDevMean,
                   string dwnBin1Mean,
                   string dwnBin2Mean,
                   string dwnBin3Mean,
                   string dwnBin4Mean,
                   string dwnBin5Mean,
                   string dwnBin6Mean,
                   string dwnBin7Mean,
                   string dwnBin8Mean,
                   string dwnAllStdDev,
                   string dwnLpdStdDev,
                   string dwnLpdNStdDev,
                   string dwnLpdESStdDev,
                   string dwnMicroScrStdDev,
                   string dwnScrStdDev,
                   string dwnSlipStdDev,
                   string dwnAreaCountStdDev,
                   string dwnAreaStdDev,
                   string dwnHazeAvgStdDev,
                   string dwnHazeMedianStdDev,
                   string dwnHazeStdDevStdDev,
                   string dwnBin1StdDev,
                   string dwnBin2StdDev,
                   string dwnBin3StdDev,
                   string dwnBin4StdDev,
                   string dwnBin5StdDev,
                   string dwnBin6StdDev,
                   string dwnBin7StdDev,
                   string dwnBin8StdDev,
                   string dnnAllMin,
                   string dnnLpdMin,
                   string dnnLpdNMin,
                   string dnnLpdESMin,
                   string dnnMicroScrMin,
                   string dnnScrMin,
                   string dnnSlipMin,
                   string dnnAreaCountMin,
                   string dnnAreaMin,
                   string dnnHazeAvgMin,
                   string dnnHazeMedianMin,
                   string dnnHazeStdDevMin,
                   string dnnBin1Min,
                   string dnnBin2Min,
                   string dnnBin3Min,
                   string dnnBin4Min,
                   string dnnBin5Min,
                   string dnnBin6Min,
                   string dnnBin7Min,
                   string dnnBin8Min,
                   string dnnAllMax,
                   string dnnLpdMax,
                   string dnnLpdNMax,
                   string dnnLpdESMax,
                   string dnnMicroScrMax,
                   string dnnScrMax,
                   string dnnSlipMax,
                   string dnnAreaCountMax,
                   string dnnAreaMax,
                   string dnnHazeAvgMax,
                   string dnnHazeMedianMax,
                   string dnnHazeStdDevMax,
                   string dnnBin1Max,
                   string dnnBin2Max,
                   string dnnBin3Max,
                   string dnnBin4Max,
                   string dnnBin5Max,
                   string dnnBin6Max,
                   string dnnBin7Max,
                   string dnnBin8Max,
                   string dnnAllMean,
                   string dnnLpdMean,
                   string dnnLpdNMean,
                   string dnnLpdESMean,
                   string dnnMicroScrMean,
                   string dnnScrMean,
                   string dnnSlipMean,
                   string dnnAreaCountMean,
                   string dnnAreaMean,
                   string dnnHazeAvgMean,
                   string dnnHazeMedianMean,
                   string dnnHazeStdDevMean,
                   string dnnBin1Mean,
                   string dnnBin2Mean,
                   string dnnBin3Mean,
                   string dnnBin4Mean,
                   string dnnBin5Mean,
                   string dnnBin6Mean,
                   string dnnBin7Mean,
                   string dnnBin8Mean,
                   string dnnAllStdDev,
                   string dnnLpdStdDev,
                   string dnnLpdNStdDev,
                   string dnnLpdESStdDev,
                   string dnnMicroScrStdDev,
                   string dnnScrStdDev,
                   string dnnSlipStdDev,
                   string dnnAreaCountStdDev,
                   string dnnAreaStdDev,
                   string dnnHazeAvgStdDev,
                   string dnnHazeMedianStdDev,
                   string dnnHazeStdDevStdDev,
                   string dnnBin1StdDev,
                   string dnnBin2StdDev,
                   string dnnBin3StdDev,
                   string dnnBin4StdDev,
                   string dnnBin5StdDev,
                   string dnnBin6StdDev,
                   string dnnBin7StdDev,
                   string dnnBin8StdDev)
    {
        DcnAllMin = dcnAllMin;
        DcnLpdMin = dcnLpdMin;
        DcnLpdNMin = dcnLpdNMin;
        DcnLpdESMin = dcnLpdESMin;
        DcnMicroScrMin = dcnMicroScrMin;
        DcnScrMin = dcnScrMin;
        DcnSlipMin = dcnSlipMin;
        DcnAreaCountMin = dcnAreaCountMin;
        DcnAreaMin = dcnAreaMin;
        DcnHazeAvgMin = dcnHazeAvgMin;
        DcnHazeMedianMin = dcnHazeMedianMin;
        DcnHazeStdDevMin = dcnHazeStdDevMin;
        DcnBin1Min = dcnBin1Min;
        DcnBin2Min = dcnBin2Min;
        DcnBin3Min = dcnBin3Min;
        DcnBin4Min = dcnBin4Min;
        DcnBin5Min = dcnBin5Min;
        DcnBin6Min = dcnBin6Min;
        DcnBin7Min = dcnBin7Min;
        DcnBin8Min = dcnBin8Min;
        DcnAllMax = dcnAllMax;
        DcnLpdMax = dcnLpdMax;
        DcnLpdNMax = dcnLpdNMax;
        DcnLpdESMax = dcnLpdESMax;
        DcnMicroScrMax = dcnMicroScrMax;
        DcnScrMax = dcnScrMax;
        DcnSlipMax = dcnSlipMax;
        DcnAreaCountMax = dcnAreaCountMax;
        DcnAreaMax = dcnAreaMax;
        DcnHazeAvgMax = dcnHazeAvgMax;
        DcnHazeMedianMax = dcnHazeMedianMax;
        DcnHazeStdDevMax = dcnHazeStdDevMax;
        DcnBin1Max = dcnBin1Max;
        DcnBin2Max = dcnBin2Max;
        DcnBin3Max = dcnBin3Max;
        DcnBin4Max = dcnBin4Max;
        DcnBin5Max = dcnBin5Max;
        DcnBin6Max = dcnBin6Max;
        DcnBin7Max = dcnBin7Max;
        DcnBin8Max = dcnBin8Max;
        DcnAllMean = dcnAllMean;
        DcnLpdMean = dcnLpdMean;
        DcnLpdNMean = dcnLpdNMean;
        DcnLpdESMean = dcnLpdESMean;
        DcnMicroScrMean = dcnMicroScrMean;
        DcnScrMean = dcnScrMean;
        DcnSlipMean = dcnSlipMean;
        DcnAreaCountMean = dcnAreaCountMean;
        DcnAreaMean = dcnAreaMean;
        DcnHazeAvgMean = dcnHazeAvgMean;
        DcnHazeMedianMean = dcnHazeMedianMean;
        DcnHazeStdDevMean = dcnHazeStdDevMean;
        DcnBin1Mean = dcnBin1Mean;
        DcnBin2Mean = dcnBin2Mean;
        DcnBin3Mean = dcnBin3Mean;
        DcnBin4Mean = dcnBin4Mean;
        DcnBin5Mean = dcnBin5Mean;
        DcnBin6Mean = dcnBin6Mean;
        DcnBin7Mean = dcnBin7Mean;
        DcnBin8Mean = dcnBin8Mean;
        DcnAllStdDev = dcnAllStdDev;
        DcnLpdStdDev = dcnLpdStdDev;
        DcnLpdNStdDev = dcnLpdNStdDev;
        DcnLpdESStdDev = dcnLpdESStdDev;
        DcnMicroScrStdDev = dcnMicroScrStdDev;
        DcnScrStdDev = dcnScrStdDev;
        DcnSlipStdDev = dcnSlipStdDev;
        DcnAreaCountStdDev = dcnAreaCountStdDev;
        DcnAreaStdDev = dcnAreaStdDev;
        DcnHazeAvgStdDev = dcnHazeAvgStdDev;
        DcnHazeMedianStdDev = dcnHazeMedianStdDev;
        DcnHazeStdDevStdDev = dcnHazeStdDevStdDev;
        DcnBin1StdDev = dcnBin1StdDev;
        DcnBin2StdDev = dcnBin2StdDev;
        DcnBin3StdDev = dcnBin3StdDev;
        DcnBin4StdDev = dcnBin4StdDev;
        DcnBin5StdDev = dcnBin5StdDev;
        DcnBin6StdDev = dcnBin6StdDev;
        DcnBin7StdDev = dcnBin7StdDev;
        DcnBin8StdDev = dcnBin8StdDev;
        DwnAllMin = dwnAllMin;
        DwnLpdMin = dwnLpdMin;
        DwnLpdNMin = dwnLpdNMin;
        DwnLpdESMin = dwnLpdESMin;
        DwnMicroScrMin = dwnMicroScrMin;
        DwnScrMin = dwnScrMin;
        DwnSlipMin = dwnSlipMin;
        DwnAreaCountMin = dwnAreaCountMin;
        DwnAreaMin = dwnAreaMin;
        DwnHazeAvgMin = dwnHazeAvgMin;
        DwnHazeMedianMin = dwnHazeMedianMin;
        DwnHazeStdDevMin = dwnHazeStdDevMin;
        DwnBin1Min = dwnBin1Min;
        DwnBin2Min = dwnBin2Min;
        DwnBin3Min = dwnBin3Min;
        DwnBin4Min = dwnBin4Min;
        DwnBin5Min = dwnBin5Min;
        DwnBin6Min = dwnBin6Min;
        DwnBin7Min = dwnBin7Min;
        DwnBin8Min = dwnBin8Min;
        DwnAllMax = dwnAllMax;
        DwnLpdMax = dwnLpdMax;
        DwnLpdNMax = dwnLpdNMax;
        DwnLpdESMax = dwnLpdESMax;
        DwnMicroScrMax = dwnMicroScrMax;
        DwnScrMax = dwnScrMax;
        DwnSlipMax = dwnSlipMax;
        DwnAreaCountMax = dwnAreaCountMax;
        DwnAreaMax = dwnAreaMax;
        DwnHazeAvgMax = dwnHazeAvgMax;
        DwnHazeMedianMax = dwnHazeMedianMax;
        DwnHazeStdDevMax = dwnHazeStdDevMax;
        DwnBin1Max = dwnBin1Max;
        DwnBin2Max = dwnBin2Max;
        DwnBin3Max = dwnBin3Max;
        DwnBin4Max = dwnBin4Max;
        DwnBin5Max = dwnBin5Max;
        DwnBin6Max = dwnBin6Max;
        DwnBin7Max = dwnBin7Max;
        DwnBin8Max = dwnBin8Max;
        DwnAllMean = dwnAllMean;
        DwnLpdMean = dwnLpdMean;
        DwnLpdNMean = dwnLpdNMean;
        DwnLpdESMean = dwnLpdESMean;
        DwnMicroScrMean = dwnMicroScrMean;
        DwnScrMean = dwnScrMean;
        DwnSlipMean = dwnSlipMean;
        DwnAreaCountMean = dwnAreaCountMean;
        DwnAreaMean = dwnAreaMean;
        DwnHazeAvgMean = dwnHazeAvgMean;
        DwnHazeMedianMean = dwnHazeMedianMean;
        DwnHazeStdDevMean = dwnHazeStdDevMean;
        DwnBin1Mean = dwnBin1Mean;
        DwnBin2Mean = dwnBin2Mean;
        DwnBin3Mean = dwnBin3Mean;
        DwnBin4Mean = dwnBin4Mean;
        DwnBin5Mean = dwnBin5Mean;
        DwnBin6Mean = dwnBin6Mean;
        DwnBin7Mean = dwnBin7Mean;
        DwnBin8Mean = dwnBin8Mean;
        DwnAllStdDev = dwnAllStdDev;
        DwnLpdStdDev = dwnLpdStdDev;
        DwnLpdNStdDev = dwnLpdNStdDev;
        DwnLpdESStdDev = dwnLpdESStdDev;
        DwnMicroScrStdDev = dwnMicroScrStdDev;
        DwnScrStdDev = dwnScrStdDev;
        DwnSlipStdDev = dwnSlipStdDev;
        DwnAreaCountStdDev = dwnAreaCountStdDev;
        DwnAreaStdDev = dwnAreaStdDev;
        DwnHazeAvgStdDev = dwnHazeAvgStdDev;
        DwnHazeMedianStdDev = dwnHazeMedianStdDev;
        DwnHazeStdDevStdDev = dwnHazeStdDevStdDev;
        DwnBin1StdDev = dwnBin1StdDev;
        DwnBin2StdDev = dwnBin2StdDev;
        DwnBin3StdDev = dwnBin3StdDev;
        DwnBin4StdDev = dwnBin4StdDev;
        DwnBin5StdDev = dwnBin5StdDev;
        DwnBin6StdDev = dwnBin6StdDev;
        DwnBin7StdDev = dwnBin7StdDev;
        DwnBin8StdDev = dwnBin8StdDev;
        DnnAllMin = dnnAllMin;
        DnnLpdMin = dnnLpdMin;
        DnnLpdNMin = dnnLpdNMin;
        DnnLpdESMin = dnnLpdESMin;
        DnnMicroScrMin = dnnMicroScrMin;
        DnnScrMin = dnnScrMin;
        DnnSlipMin = dnnSlipMin;
        DnnAreaCountMin = dnnAreaCountMin;
        DnnAreaMin = dnnAreaMin;
        DnnHazeAvgMin = dnnHazeAvgMin;
        DnnHazeMedianMin = dnnHazeMedianMin;
        DnnHazeStdDevMin = dnnHazeStdDevMin;
        DnnBin1Min = dnnBin1Min;
        DnnBin2Min = dnnBin2Min;
        DnnBin3Min = dnnBin3Min;
        DnnBin4Min = dnnBin4Min;
        DnnBin5Min = dnnBin5Min;
        DnnBin6Min = dnnBin6Min;
        DnnBin7Min = dnnBin7Min;
        DnnBin8Min = dnnBin8Min;
        DnnAllMax = dnnAllMax;
        DnnLpdMax = dnnLpdMax;
        DnnLpdNMax = dnnLpdNMax;
        DnnLpdESMax = dnnLpdESMax;
        DnnMicroScrMax = dnnMicroScrMax;
        DnnScrMax = dnnScrMax;
        DnnSlipMax = dnnSlipMax;
        DnnAreaCountMax = dnnAreaCountMax;
        DnnAreaMax = dnnAreaMax;
        DnnHazeAvgMax = dnnHazeAvgMax;
        DnnHazeMedianMax = dnnHazeMedianMax;
        DnnHazeStdDevMax = dnnHazeStdDevMax;
        DnnBin1Max = dnnBin1Max;
        DnnBin2Max = dnnBin2Max;
        DnnBin3Max = dnnBin3Max;
        DnnBin4Max = dnnBin4Max;
        DnnBin5Max = dnnBin5Max;
        DnnBin6Max = dnnBin6Max;
        DnnBin7Max = dnnBin7Max;
        DnnBin8Max = dnnBin8Max;
        DnnAllMean = dnnAllMean;
        DnnLpdMean = dnnLpdMean;
        DnnLpdNMean = dnnLpdNMean;
        DnnLpdESMean = dnnLpdESMean;
        DnnMicroScrMean = dnnMicroScrMean;
        DnnScrMean = dnnScrMean;
        DnnSlipMean = dnnSlipMean;
        DnnAreaCountMean = dnnAreaCountMean;
        DnnAreaMean = dnnAreaMean;
        DnnHazeAvgMean = dnnHazeAvgMean;
        DnnHazeMedianMean = dnnHazeMedianMean;
        DnnHazeStdDevMean = dnnHazeStdDevMean;
        DnnBin1Mean = dnnBin1Mean;
        DnnBin2Mean = dnnBin2Mean;
        DnnBin3Mean = dnnBin3Mean;
        DnnBin4Mean = dnnBin4Mean;
        DnnBin5Mean = dnnBin5Mean;
        DnnBin6Mean = dnnBin6Mean;
        DnnBin7Mean = dnnBin7Mean;
        DnnBin8Mean = dnnBin8Mean;
        DnnAllStdDev = dnnAllStdDev;
        DnnLpdStdDev = dnnLpdStdDev;
        DnnLpdNStdDev = dnnLpdNStdDev;
        DnnLpdESStdDev = dnnLpdESStdDev;
        DnnMicroScrStdDev = dnnMicroScrStdDev;
        DnnScrStdDev = dnnScrStdDev;
        DnnSlipStdDev = dnnSlipStdDev;
        DnnAreaCountStdDev = dnnAreaCountStdDev;
        DnnAreaStdDev = dnnAreaStdDev;
        DnnHazeAvgStdDev = dnnHazeAvgStdDev;
        DnnHazeMedianStdDev = dnnHazeMedianStdDev;
        DnnHazeStdDevStdDev = dnnHazeStdDevStdDev;
        DnnBin1StdDev = dnnBin1StdDev;
        DnnBin2StdDev = dnnBin2StdDev;
        DnnBin3StdDev = dnnBin3StdDev;
        DnnBin4StdDev = dnnBin4StdDev;
        DnnBin5StdDev = dnnBin5StdDev;
        DnnBin6StdDev = dnnBin6StdDev;
        DnnBin7StdDev = dnnBin7StdDev;
        DnnBin8StdDev = dnnBin8StdDev;
    }

    public string DcnAllMin { get; }
    public string DcnLpdMin { get; }
    public string DcnLpdNMin { get; }
    public string DcnLpdESMin { get; }
    public string DcnMicroScrMin { get; }
    public string DcnScrMin { get; }
    public string DcnSlipMin { get; }
    public string DcnAreaCountMin { get; }
    public string DcnAreaMin { get; }
    public string DcnHazeAvgMin { get; }
    public string DcnHazeMedianMin { get; }
    public string DcnHazeStdDevMin { get; }
    public string DcnBin1Min { get; }
    public string DcnBin2Min { get; }
    public string DcnBin3Min { get; }
    public string DcnBin4Min { get; }
    public string DcnBin5Min { get; }
    public string DcnBin6Min { get; }
    public string DcnBin7Min { get; }
    public string DcnBin8Min { get; }
    public string DcnAllMax { get; }
    public string DcnLpdMax { get; }
    public string DcnLpdNMax { get; }
    public string DcnLpdESMax { get; }
    public string DcnMicroScrMax { get; }
    public string DcnScrMax { get; }
    public string DcnSlipMax { get; }
    public string DcnAreaCountMax { get; }
    public string DcnAreaMax { get; }
    public string DcnHazeAvgMax { get; }
    public string DcnHazeMedianMax { get; }
    public string DcnHazeStdDevMax { get; }
    public string DcnBin1Max { get; }
    public string DcnBin2Max { get; }
    public string DcnBin3Max { get; }
    public string DcnBin4Max { get; }
    public string DcnBin5Max { get; }
    public string DcnBin6Max { get; }
    public string DcnBin7Max { get; }
    public string DcnBin8Max { get; }
    public string DcnAllMean { get; }
    public string DcnLpdMean { get; }
    public string DcnLpdNMean { get; }
    public string DcnLpdESMean { get; }
    public string DcnMicroScrMean { get; }
    public string DcnScrMean { get; }
    public string DcnSlipMean { get; }
    public string DcnAreaCountMean { get; }
    public string DcnAreaMean { get; }
    public string DcnHazeAvgMean { get; }
    public string DcnHazeMedianMean { get; }
    public string DcnHazeStdDevMean { get; }
    public string DcnBin1Mean { get; }
    public string DcnBin2Mean { get; }
    public string DcnBin3Mean { get; }
    public string DcnBin4Mean { get; }
    public string DcnBin5Mean { get; }
    public string DcnBin6Mean { get; }
    public string DcnBin7Mean { get; }
    public string DcnBin8Mean { get; }
    public string DcnAllStdDev { get; }
    public string DcnLpdStdDev { get; }
    public string DcnLpdNStdDev { get; }
    public string DcnLpdESStdDev { get; }
    public string DcnMicroScrStdDev { get; }
    public string DcnScrStdDev { get; }
    public string DcnSlipStdDev { get; }
    public string DcnAreaCountStdDev { get; }
    public string DcnAreaStdDev { get; }
    public string DcnHazeAvgStdDev { get; }
    public string DcnHazeMedianStdDev { get; }
    public string DcnHazeStdDevStdDev { get; }
    public string DcnBin1StdDev { get; }
    public string DcnBin2StdDev { get; }
    public string DcnBin3StdDev { get; }
    public string DcnBin4StdDev { get; }
    public string DcnBin5StdDev { get; }
    public string DcnBin6StdDev { get; }
    public string DcnBin7StdDev { get; }
    public string DcnBin8StdDev { get; }
    public string DwnAllMin { get; }
    public string DwnLpdMin { get; }
    public string DwnLpdNMin { get; }
    public string DwnLpdESMin { get; }
    public string DwnMicroScrMin { get; }
    public string DwnScrMin { get; }
    public string DwnSlipMin { get; }
    public string DwnAreaCountMin { get; }
    public string DwnAreaMin { get; }
    public string DwnHazeAvgMin { get; }
    public string DwnHazeMedianMin { get; }
    public string DwnHazeStdDevMin { get; }
    public string DwnBin1Min { get; }
    public string DwnBin2Min { get; }
    public string DwnBin3Min { get; }
    public string DwnBin4Min { get; }
    public string DwnBin5Min { get; }
    public string DwnBin6Min { get; }
    public string DwnBin7Min { get; }
    public string DwnBin8Min { get; }
    public string DwnAllMax { get; }
    public string DwnLpdMax { get; }
    public string DwnLpdNMax { get; }
    public string DwnLpdESMax { get; }
    public string DwnMicroScrMax { get; }
    public string DwnScrMax { get; }
    public string DwnSlipMax { get; }
    public string DwnAreaCountMax { get; }
    public string DwnAreaMax { get; }
    public string DwnHazeAvgMax { get; }
    public string DwnHazeMedianMax { get; }
    public string DwnHazeStdDevMax { get; }
    public string DwnBin1Max { get; }
    public string DwnBin2Max { get; }
    public string DwnBin3Max { get; }
    public string DwnBin4Max { get; }
    public string DwnBin5Max { get; }
    public string DwnBin6Max { get; }
    public string DwnBin7Max { get; }
    public string DwnBin8Max { get; }
    public string DwnAllMean { get; }
    public string DwnLpdMean { get; }
    public string DwnLpdNMean { get; }
    public string DwnLpdESMean { get; }
    public string DwnMicroScrMean { get; }
    public string DwnScrMean { get; }
    public string DwnSlipMean { get; }
    public string DwnAreaCountMean { get; }
    public string DwnAreaMean { get; }
    public string DwnHazeAvgMean { get; }
    public string DwnHazeMedianMean { get; }
    public string DwnHazeStdDevMean { get; }
    public string DwnBin1Mean { get; }
    public string DwnBin2Mean { get; }
    public string DwnBin3Mean { get; }
    public string DwnBin4Mean { get; }
    public string DwnBin5Mean { get; }
    public string DwnBin6Mean { get; }
    public string DwnBin7Mean { get; }
    public string DwnBin8Mean { get; }
    public string DwnAllStdDev { get; }
    public string DwnLpdStdDev { get; }
    public string DwnLpdNStdDev { get; }
    public string DwnLpdESStdDev { get; }
    public string DwnMicroScrStdDev { get; }
    public string DwnScrStdDev { get; }
    public string DwnSlipStdDev { get; }
    public string DwnAreaCountStdDev { get; }
    public string DwnAreaStdDev { get; }
    public string DwnHazeAvgStdDev { get; }
    public string DwnHazeMedianStdDev { get; }
    public string DwnHazeStdDevStdDev { get; }
    public string DwnBin1StdDev { get; }
    public string DwnBin2StdDev { get; }
    public string DwnBin3StdDev { get; }
    public string DwnBin4StdDev { get; }
    public string DwnBin5StdDev { get; }
    public string DwnBin6StdDev { get; }
    public string DwnBin7StdDev { get; }
    public string DwnBin8StdDev { get; }
    public string DnnAllMin { get; }
    public string DnnLpdMin { get; }
    public string DnnLpdNMin { get; }
    public string DnnLpdESMin { get; }
    public string DnnMicroScrMin { get; }
    public string DnnScrMin { get; }
    public string DnnSlipMin { get; }
    public string DnnAreaCountMin { get; }
    public string DnnAreaMin { get; }
    public string DnnHazeAvgMin { get; }
    public string DnnHazeMedianMin { get; }
    public string DnnHazeStdDevMin { get; }
    public string DnnBin1Min { get; }
    public string DnnBin2Min { get; }
    public string DnnBin3Min { get; }
    public string DnnBin4Min { get; }
    public string DnnBin5Min { get; }
    public string DnnBin6Min { get; }
    public string DnnBin7Min { get; }
    public string DnnBin8Min { get; }
    public string DnnAllMax { get; }
    public string DnnLpdMax { get; }
    public string DnnLpdNMax { get; }
    public string DnnLpdESMax { get; }
    public string DnnMicroScrMax { get; }
    public string DnnScrMax { get; }
    public string DnnSlipMax { get; }
    public string DnnAreaCountMax { get; }
    public string DnnAreaMax { get; }
    public string DnnHazeAvgMax { get; }
    public string DnnHazeMedianMax { get; }
    public string DnnHazeStdDevMax { get; }
    public string DnnBin1Max { get; }
    public string DnnBin2Max { get; }
    public string DnnBin3Max { get; }
    public string DnnBin4Max { get; }
    public string DnnBin5Max { get; }
    public string DnnBin6Max { get; }
    public string DnnBin7Max { get; }
    public string DnnBin8Max { get; }
    public string DnnAllMean { get; }
    public string DnnLpdMean { get; }
    public string DnnLpdNMean { get; }
    public string DnnLpdESMean { get; }
    public string DnnMicroScrMean { get; }
    public string DnnScrMean { get; }
    public string DnnSlipMean { get; }
    public string DnnAreaCountMean { get; }
    public string DnnAreaMean { get; }
    public string DnnHazeAvgMean { get; }
    public string DnnHazeMedianMean { get; }
    public string DnnHazeStdDevMean { get; }
    public string DnnBin1Mean { get; }
    public string DnnBin2Mean { get; }
    public string DnnBin3Mean { get; }
    public string DnnBin4Mean { get; }
    public string DnnBin5Mean { get; }
    public string DnnBin6Mean { get; }
    public string DnnBin7Mean { get; }
    public string DnnBin8Mean { get; }
    public string DnnAllStdDev { get; }
    public string DnnLpdStdDev { get; }
    public string DnnLpdNStdDev { get; }
    public string DnnLpdESStdDev { get; }
    public string DnnMicroScrStdDev { get; }
    public string DnnScrStdDev { get; }
    public string DnnSlipStdDev { get; }
    public string DnnAreaCountStdDev { get; }
    public string DnnAreaStdDev { get; }
    public string DnnHazeAvgStdDev { get; }
    public string DnnHazeMedianStdDev { get; }
    public string DnnHazeStdDevStdDev { get; }
    public string DnnBin1StdDev { get; }
    public string DnnBin2StdDev { get; }
    public string DnnBin3StdDev { get; }
    public string DnnBin4StdDev { get; }
    public string DnnBin5StdDev { get; }
    public string DnnBin6StdDev { get; }
    public string DnnBin7StdDev { get; }
    public string DnnBin8StdDev { get; }

    private static string PeekNextLine(string text, int[] i)
    {
        int j = i[0];
        string toEol = Header.GetToEOL(text, i);
        i[0] = j;
        return toEol;
    }

    private static void GetWaferSummaryInfo(Constant constant, string text, int[] i, List<WaferSummaryInfo> waferSummaryInfos, string whichInfo)
    {
        Header.ScanPast(text, i, whichInfo);
        _ = Header.GetToEOL(text, i);
        _ = Header.GetToEOL(text, i);
        _ = Header.GetToEOL(text, i);
        _ = Header.GetToEOL(text, i);
        string[] segments;
        WaferSummaryInfo waferSummaryInfo;
        for (string line = PeekNextLine(text, i); line[0] != '-'; line = PeekNextLine(text, i))
        {
            line = Header.GetToEOL(text, i);
            waferSummaryInfo = new WaferSummaryInfo();
            if (line.StartsWith(constant.Grade))
                line = line.Replace(constant.Grade, string.Concat(constant.F1, constant.Grade.Substring(4)));
            else if (line.StartsWith(constant.Reject))
                line = line.Replace(constant.Reject, string.Concat(constant.F1, constant.Reject.Substring(4)));
            else if (line.StartsWith(constant.OverLoad))
                line = line.Replace(constant.OverLoad, string.Concat(constant.F1, constant.OverLoad.Substring(4)));
            segments = line.Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
            waferSummaryInfo.Side = segments[0];
            waferSummaryInfo.WaferID = segments[1];
            waferSummaryInfo.Grade = segments[2];
            waferSummaryInfo.SrcDest = segments[3];
            if (segments.Length > 4)
            {
                waferSummaryInfo.Lpd = segments[5];
                waferSummaryInfo.LpdN = segments[6];
                waferSummaryInfo.LpdES = segments[7];
                waferSummaryInfo.MicroScr = segments[8];
                waferSummaryInfo.Scr = segments[9];
                waferSummaryInfo.Slip = segments[10];
                waferSummaryInfo.AreaNum = segments[11];
                waferSummaryInfo.Area = segments[12];
                waferSummaryInfo.HazeAvg = segments[13];
                waferSummaryInfo.HazeMedian = segments[14];
                waferSummaryInfo.HazeStdDev = segments[15];
                waferSummaryInfo.Bin1 = segments[16];
                waferSummaryInfo.Bin2 = segments[17];
                waferSummaryInfo.Bin3 = segments[18];
                waferSummaryInfo.Bin4 = segments[19];
                waferSummaryInfo.Bin5 = segments[20];
                waferSummaryInfo.Bin6 = segments[21];
                waferSummaryInfo.Bin7 = segments[22];
                waferSummaryInfo.Bin8 = segments[23];
            }
            if (waferSummaryInfo.WaferID == "-1")
            {
                segments = waferSummaryInfo.SrcDest.Split('-')[0].Split('/');
                waferSummaryInfo.WaferID = segments[segments.Length - 1];
            }
            waferSummaryInfos.Add(waferSummaryInfo);
        }
    }

    internal static Summary Get(Constant constant, int[] i, string text, List<WaferSummaryInfo> dcnTotals, List<WaferSummaryInfo> dwnTotals, List<WaferSummaryInfo> dnnTotals)
    {
        Summary result;
        string[] dwnTotalsMinSegments;
        string[] dwnTotalsMaxSegments;
        string[] dwnTotalsMeanSegments;
        string[] dwnTotalsStandardDevSegments;
        string[] dnnTotalsMinSegments;
        string[] dnnTotalsMaxSegments;
        string[] dnnTotalsMeanSegments;
        string[] dnnTotalsStandardDevSegments;
        GetWaferSummaryInfo(constant, text, i, dcnTotals, constant.DCNTotals);
        Header.ScanPast(text, i, constant.Min);
        string[] dncTotalsMinSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
        Header.ScanPast(text, i, constant.Max);
        string[] dncTotalsMaxSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
        Header.ScanPast(text, i, constant.Mean);
        string[] dncTotalsMeanSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
        Header.ScanPast(text, i, constant.StdDev);
        string[] dncTotalsStandardDevSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
        if (!text.Contains(constant.DWNTotals))
        {
            for (int j = 0; j < dcnTotals.Count; j++)
                dwnTotals.Add(new WaferSummaryInfo());
            dwnTotalsMinSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
            dwnTotalsMaxSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
            dwnTotalsMeanSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
            dwnTotalsStandardDevSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
        }
        else
        {
            GetWaferSummaryInfo(constant, text, i, dwnTotals, constant.DWNTotals);
            Header.ScanPast(text, i, constant.Min);
            dwnTotalsMinSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
            Header.ScanPast(text, i, constant.Max);
            dwnTotalsMaxSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
            Header.ScanPast(text, i, constant.Mean);
            dwnTotalsMeanSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
            Header.ScanPast(text, i, constant.StdDev);
            dwnTotalsStandardDevSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
        }
        if (!text.Contains(constant.DNNTotals))
        {
            for (int j = 0; j < dcnTotals.Count; j++)
                dnnTotals.Add(new WaferSummaryInfo());
            dnnTotalsMinSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
            dnnTotalsMaxSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
            dnnTotalsMeanSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
            dnnTotalsStandardDevSegments = constant.Empty35Spaces.Split(new char[] { ' ' }, StringSplitOptions.None);
        }
        else
        {
            GetWaferSummaryInfo(constant, text, i, dnnTotals, constant.DNNTotals);
            Header.ScanPast(text, i, constant.Min);
            dnnTotalsMinSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
            Header.ScanPast(text, i, constant.Max);
            dnnTotalsMaxSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
            Header.ScanPast(text, i, constant.Mean);
            dnnTotalsMeanSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
            Header.ScanPast(text, i, constant.StdDev);
            dnnTotalsStandardDevSegments = Header.GetToEOL(text, i).Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries);
        }
        result = new(dcnAllMin: dncTotalsMinSegments[0],
                     dcnLpdMin: dncTotalsMinSegments[1],
                     dcnLpdNMin: dncTotalsMinSegments[2],
                     dcnLpdESMin: dncTotalsMinSegments[3],
                     dcnMicroScrMin: dncTotalsMinSegments[4],
                     dcnScrMin: dncTotalsMinSegments[5],
                     dcnSlipMin: dncTotalsMinSegments[6],
                     dcnAreaCountMin: dncTotalsMinSegments[7],
                     dcnAreaMin: dncTotalsMinSegments[8],
                     dcnHazeAvgMin: dncTotalsMinSegments[9],
                     dcnHazeMedianMin: dncTotalsMinSegments[10],
                     dcnHazeStdDevMin: dncTotalsMinSegments[11],
                     dcnBin1Min: dncTotalsMinSegments[12],
                     dcnBin2Min: dncTotalsMinSegments[13],
                     dcnBin3Min: dncTotalsMinSegments[14],
                     dcnBin4Min: dncTotalsMinSegments[15],
                     dcnBin5Min: dncTotalsMinSegments[16],
                     dcnBin6Min: dncTotalsMinSegments[17],
                     dcnBin7Min: dncTotalsMinSegments[18],
                     dcnBin8Min: dncTotalsMinSegments[19],
                     dcnAllMax: dncTotalsMaxSegments[0],
                     dcnLpdMax: dncTotalsMaxSegments[1],
                     dcnLpdNMax: dncTotalsMaxSegments[2],
                     dcnLpdESMax: dncTotalsMaxSegments[3],
                     dcnMicroScrMax: dncTotalsMaxSegments[4],
                     dcnScrMax: dncTotalsMaxSegments[5],
                     dcnSlipMax: dncTotalsMaxSegments[6],
                     dcnAreaCountMax: dncTotalsMaxSegments[7],
                     dcnAreaMax: dncTotalsMaxSegments[8],
                     dcnHazeAvgMax: dncTotalsMaxSegments[9],
                     dcnHazeMedianMax: dncTotalsMaxSegments[10],
                     dcnHazeStdDevMax: dncTotalsMaxSegments[11],
                     dcnBin1Max: dncTotalsMaxSegments[12],
                     dcnBin2Max: dncTotalsMaxSegments[13],
                     dcnBin3Max: dncTotalsMaxSegments[14],
                     dcnBin4Max: dncTotalsMaxSegments[15],
                     dcnBin5Max: dncTotalsMaxSegments[16],
                     dcnBin6Max: dncTotalsMaxSegments[17],
                     dcnBin7Max: dncTotalsMaxSegments[18],
                     dcnBin8Max: dncTotalsMaxSegments[19],
                     dcnAllMean: dncTotalsMeanSegments[0],
                     dcnLpdMean: dncTotalsMeanSegments[1],
                     dcnLpdNMean: dncTotalsMeanSegments[2],
                     dcnLpdESMean: dncTotalsMeanSegments[3],
                     dcnMicroScrMean: dncTotalsMeanSegments[4],
                     dcnScrMean: dncTotalsMeanSegments[5],
                     dcnSlipMean: dncTotalsMeanSegments[6],
                     dcnAreaCountMean: dncTotalsMeanSegments[7],
                     dcnAreaMean: dncTotalsMeanSegments[8],
                     dcnHazeAvgMean: dncTotalsMeanSegments[9],
                     dcnHazeMedianMean: dncTotalsMeanSegments[10],
                     dcnHazeStdDevMean: dncTotalsMeanSegments[11],
                     dcnBin1Mean: dncTotalsMeanSegments[12],
                     dcnBin2Mean: dncTotalsMeanSegments[13],
                     dcnBin3Mean: dncTotalsMeanSegments[14],
                     dcnBin4Mean: dncTotalsMeanSegments[15],
                     dcnBin5Mean: dncTotalsMeanSegments[16],
                     dcnBin6Mean: dncTotalsMeanSegments[17],
                     dcnBin7Mean: dncTotalsMeanSegments[18],
                     dcnBin8Mean: dncTotalsMeanSegments[19],
                     dcnAllStdDev: dncTotalsStandardDevSegments[0],
                     dcnLpdStdDev: dncTotalsStandardDevSegments[1],
                     dcnLpdNStdDev: dncTotalsStandardDevSegments[2],
                     dcnLpdESStdDev: dncTotalsStandardDevSegments[3],
                     dcnMicroScrStdDev: dncTotalsStandardDevSegments[4],
                     dcnScrStdDev: dncTotalsStandardDevSegments[5],
                     dcnSlipStdDev: dncTotalsStandardDevSegments[6],
                     dcnAreaCountStdDev: dncTotalsStandardDevSegments[7],
                     dcnAreaStdDev: dncTotalsStandardDevSegments[8],
                     dcnHazeAvgStdDev: dncTotalsStandardDevSegments[9],
                     dcnHazeMedianStdDev: dncTotalsStandardDevSegments[10],
                     dcnHazeStdDevStdDev: dncTotalsStandardDevSegments[11],
                     dcnBin1StdDev: dncTotalsStandardDevSegments[12],
                     dcnBin2StdDev: dncTotalsStandardDevSegments[13],
                     dcnBin3StdDev: dncTotalsStandardDevSegments[14],
                     dcnBin4StdDev: dncTotalsStandardDevSegments[15],
                     dcnBin5StdDev: dncTotalsStandardDevSegments[16],
                     dcnBin6StdDev: dncTotalsStandardDevSegments[17],
                     dcnBin7StdDev: dncTotalsStandardDevSegments[18],
                     dcnBin8StdDev: dncTotalsStandardDevSegments[19],
                     dwnAllMin: dwnTotalsMinSegments[0],
                     dwnLpdMin: dwnTotalsMinSegments[1],
                     dwnLpdNMin: dwnTotalsMinSegments[2],
                     dwnLpdESMin: dwnTotalsMinSegments[3],
                     dwnMicroScrMin: dwnTotalsMinSegments[4],
                     dwnScrMin: dwnTotalsMinSegments[5],
                     dwnSlipMin: dwnTotalsMinSegments[6],
                     dwnAreaCountMin: dwnTotalsMinSegments[7],
                     dwnAreaMin: dwnTotalsMinSegments[8],
                     dwnHazeAvgMin: dwnTotalsMinSegments[9],
                     dwnHazeMedianMin: dwnTotalsMinSegments[10],
                     dwnHazeStdDevMin: dwnTotalsMinSegments[11],
                     dwnBin1Min: dwnTotalsMinSegments[12],
                     dwnBin2Min: dwnTotalsMinSegments[13],
                     dwnBin3Min: dwnTotalsMinSegments[14],
                     dwnBin4Min: dwnTotalsMinSegments[15],
                     dwnBin5Min: dwnTotalsMinSegments[16],
                     dwnBin6Min: dwnTotalsMinSegments[17],
                     dwnBin7Min: dwnTotalsMinSegments[18],
                     dwnBin8Min: dwnTotalsMinSegments[19],
                     dwnAllMax: dwnTotalsMaxSegments[0],
                     dwnLpdMax: dwnTotalsMaxSegments[1],
                     dwnLpdNMax: dwnTotalsMaxSegments[2],
                     dwnLpdESMax: dwnTotalsMaxSegments[3],
                     dwnMicroScrMax: dwnTotalsMaxSegments[4],
                     dwnScrMax: dwnTotalsMaxSegments[5],
                     dwnSlipMax: dwnTotalsMaxSegments[6],
                     dwnAreaCountMax: dwnTotalsMaxSegments[7],
                     dwnAreaMax: dwnTotalsMaxSegments[8],
                     dwnHazeAvgMax: dwnTotalsMaxSegments[9],
                     dwnHazeMedianMax: dwnTotalsMaxSegments[10],
                     dwnHazeStdDevMax: dwnTotalsMaxSegments[11],
                     dwnBin1Max: dwnTotalsMaxSegments[12],
                     dwnBin2Max: dwnTotalsMaxSegments[13],
                     dwnBin3Max: dwnTotalsMaxSegments[14],
                     dwnBin4Max: dwnTotalsMaxSegments[15],
                     dwnBin5Max: dwnTotalsMaxSegments[16],
                     dwnBin6Max: dwnTotalsMaxSegments[17],
                     dwnBin7Max: dwnTotalsMaxSegments[18],
                     dwnBin8Max: dwnTotalsMaxSegments[19],
                     dwnAllMean: dwnTotalsMeanSegments[0],
                     dwnLpdMean: dwnTotalsMeanSegments[1],
                     dwnLpdNMean: dwnTotalsMeanSegments[2],
                     dwnLpdESMean: dwnTotalsMeanSegments[3],
                     dwnMicroScrMean: dwnTotalsMeanSegments[4],
                     dwnScrMean: dwnTotalsMeanSegments[5],
                     dwnSlipMean: dwnTotalsMeanSegments[6],
                     dwnAreaCountMean: dwnTotalsMeanSegments[7],
                     dwnAreaMean: dwnTotalsMeanSegments[8],
                     dwnHazeAvgMean: dwnTotalsMeanSegments[9],
                     dwnHazeMedianMean: dwnTotalsMeanSegments[10],
                     dwnHazeStdDevMean: dwnTotalsMeanSegments[11],
                     dwnBin1Mean: dwnTotalsMeanSegments[12],
                     dwnBin2Mean: dwnTotalsMeanSegments[13],
                     dwnBin3Mean: dwnTotalsMeanSegments[14],
                     dwnBin4Mean: dwnTotalsMeanSegments[15],
                     dwnBin5Mean: dwnTotalsMeanSegments[16],
                     dwnBin6Mean: dwnTotalsMeanSegments[17],
                     dwnBin7Mean: dwnTotalsMeanSegments[18],
                     dwnBin8Mean: dwnTotalsMeanSegments[19],
                     dwnAllStdDev: dwnTotalsStandardDevSegments[0],
                     dwnLpdStdDev: dwnTotalsStandardDevSegments[1],
                     dwnLpdNStdDev: dwnTotalsStandardDevSegments[2],
                     dwnLpdESStdDev: dwnTotalsStandardDevSegments[3],
                     dwnMicroScrStdDev: dwnTotalsStandardDevSegments[4],
                     dwnScrStdDev: dwnTotalsStandardDevSegments[5],
                     dwnSlipStdDev: dwnTotalsStandardDevSegments[6],
                     dwnAreaCountStdDev: dwnTotalsStandardDevSegments[7],
                     dwnAreaStdDev: dwnTotalsStandardDevSegments[8],
                     dwnHazeAvgStdDev: dwnTotalsStandardDevSegments[9],
                     dwnHazeMedianStdDev: dwnTotalsStandardDevSegments[10],
                     dwnHazeStdDevStdDev: dwnTotalsStandardDevSegments[11],
                     dwnBin1StdDev: dwnTotalsStandardDevSegments[12],
                     dwnBin2StdDev: dwnTotalsStandardDevSegments[13],
                     dwnBin3StdDev: dwnTotalsStandardDevSegments[14],
                     dwnBin4StdDev: dwnTotalsStandardDevSegments[15],
                     dwnBin5StdDev: dwnTotalsStandardDevSegments[16],
                     dwnBin6StdDev: dwnTotalsStandardDevSegments[17],
                     dwnBin7StdDev: dwnTotalsStandardDevSegments[18],
                     dwnBin8StdDev: dwnTotalsStandardDevSegments[19],
                     dnnAllMin: dnnTotalsMinSegments[0],
                     dnnLpdMin: dnnTotalsMinSegments[1],
                     dnnLpdNMin: dnnTotalsMinSegments[2],
                     dnnLpdESMin: dnnTotalsMinSegments[3],
                     dnnMicroScrMin: dnnTotalsMinSegments[4],
                     dnnScrMin: dnnTotalsMinSegments[5],
                     dnnSlipMin: dnnTotalsMinSegments[6],
                     dnnAreaCountMin: dnnTotalsMinSegments[7],
                     dnnAreaMin: dnnTotalsMinSegments[8],
                     dnnHazeAvgMin: dnnTotalsMinSegments[9],
                     dnnHazeMedianMin: dnnTotalsMinSegments[10],
                     dnnHazeStdDevMin: dnnTotalsMinSegments[11],
                     dnnBin1Min: dnnTotalsMinSegments[12],
                     dnnBin2Min: dnnTotalsMinSegments[13],
                     dnnBin3Min: dnnTotalsMinSegments[14],
                     dnnBin4Min: dnnTotalsMinSegments[15],
                     dnnBin5Min: dnnTotalsMinSegments[16],
                     dnnBin6Min: dnnTotalsMinSegments[17],
                     dnnBin7Min: dnnTotalsMinSegments[18],
                     dnnBin8Min: dnnTotalsMinSegments[19],
                     dnnAllMax: dnnTotalsMaxSegments[0],
                     dnnLpdMax: dnnTotalsMaxSegments[1],
                     dnnLpdNMax: dnnTotalsMaxSegments[2],
                     dnnLpdESMax: dnnTotalsMaxSegments[3],
                     dnnMicroScrMax: dnnTotalsMaxSegments[4],
                     dnnScrMax: dnnTotalsMaxSegments[5],
                     dnnSlipMax: dnnTotalsMaxSegments[6],
                     dnnAreaCountMax: dnnTotalsMaxSegments[7],
                     dnnAreaMax: dnnTotalsMaxSegments[8],
                     dnnHazeAvgMax: dnnTotalsMaxSegments[9],
                     dnnHazeMedianMax: dnnTotalsMaxSegments[10],
                     dnnHazeStdDevMax: dnnTotalsMaxSegments[11],
                     dnnBin1Max: dnnTotalsMaxSegments[12],
                     dnnBin2Max: dnnTotalsMaxSegments[13],
                     dnnBin3Max: dnnTotalsMaxSegments[14],
                     dnnBin4Max: dnnTotalsMaxSegments[15],
                     dnnBin5Max: dnnTotalsMaxSegments[16],
                     dnnBin6Max: dnnTotalsMaxSegments[17],
                     dnnBin7Max: dnnTotalsMaxSegments[18],
                     dnnBin8Max: dnnTotalsMaxSegments[19],
                     dnnAllMean: dnnTotalsMeanSegments[0],
                     dnnLpdMean: dnnTotalsMeanSegments[1],
                     dnnLpdNMean: dnnTotalsMeanSegments[2],
                     dnnLpdESMean: dnnTotalsMeanSegments[3],
                     dnnMicroScrMean: dnnTotalsMeanSegments[4],
                     dnnScrMean: dnnTotalsMeanSegments[5],
                     dnnSlipMean: dnnTotalsMeanSegments[6],
                     dnnAreaCountMean: dnnTotalsMeanSegments[7],
                     dnnAreaMean: dnnTotalsMeanSegments[8],
                     dnnHazeAvgMean: dnnTotalsMeanSegments[9],
                     dnnHazeMedianMean: dnnTotalsMeanSegments[10],
                     dnnHazeStdDevMean: dnnTotalsMeanSegments[11],
                     dnnBin1Mean: dnnTotalsMeanSegments[12],
                     dnnBin2Mean: dnnTotalsMeanSegments[13],
                     dnnBin3Mean: dnnTotalsMeanSegments[14],
                     dnnBin4Mean: dnnTotalsMeanSegments[15],
                     dnnBin5Mean: dnnTotalsMeanSegments[16],
                     dnnBin6Mean: dnnTotalsMeanSegments[17],
                     dnnBin7Mean: dnnTotalsMeanSegments[18],
                     dnnBin8Mean: dnnTotalsMeanSegments[19],
                     dnnAllStdDev: dnnTotalsStandardDevSegments[0],
                     dnnLpdStdDev: dnnTotalsStandardDevSegments[1],
                     dnnLpdNStdDev: dnnTotalsStandardDevSegments[2],
                     dnnLpdESStdDev: dnnTotalsStandardDevSegments[3],
                     dnnMicroScrStdDev: dnnTotalsStandardDevSegments[4],
                     dnnScrStdDev: dnnTotalsStandardDevSegments[5],
                     dnnSlipStdDev: dnnTotalsStandardDevSegments[6],
                     dnnAreaCountStdDev: dnnTotalsStandardDevSegments[7],
                     dnnAreaStdDev: dnnTotalsStandardDevSegments[8],
                     dnnHazeAvgStdDev: dnnTotalsStandardDevSegments[9],
                     dnnHazeMedianStdDev: dnnTotalsStandardDevSegments[10],
                     dnnHazeStdDevStdDev: dnnTotalsStandardDevSegments[11],
                     dnnBin1StdDev: dnnTotalsStandardDevSegments[12],
                     dnnBin2StdDev: dnnTotalsStandardDevSegments[13],
                     dnnBin3StdDev: dnnTotalsStandardDevSegments[14],
                     dnnBin4StdDev: dnnTotalsStandardDevSegments[15],
                     dnnBin5StdDev: dnnTotalsStandardDevSegments[16],
                     dnnBin6StdDev: dnnTotalsStandardDevSegments[17],
                     dnnBin7StdDev: dnnTotalsStandardDevSegments[18],
                     dnnBin8StdDev: dnnTotalsStandardDevSegments[19]);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Summary))]
internal partial class SummarySourceGenerationContext : JsonSerializerContext
{
}