﻿namespace Adaptation.Shared.Metrology;

public partial class WS
{

    public class Attachment
    {

        public string SubGroupId { get; set; }
        public long HeaderId { get; set; }
        public string HeaderIdDirectory { get; set; }
        public string UniqueId { get; set; }
        public string DestinationFileName { get; set; }
        public string SourceFileName { get; set; }
        public string AttachmentId { get; set; }

        public Attachment(string subGroupId, long headerId, string headerIdDirectory, string uniqueId, string destinationFileName, string sourceFileName)
        {
            SubGroupId = subGroupId;
            HeaderId = headerId;
            HeaderIdDirectory = headerIdDirectory;
            UniqueId = uniqueId;
            DestinationFileName = destinationFileName;
            SourceFileName = sourceFileName;
            AttachmentId = System.Guid.NewGuid().ToString();
        }

    }

}